<!DOCTYPE html>
<html lang="en">
  <head>


    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">



    <!-- Meta -->
 <meta name="description" content="Crowdsoft Design Guide">

    <title>Crowdsoft Design Guide</title>

    <!-- vendor css -->
    <link href="/lib/fontawesome-free/css/all.min.css" rel="stylesheet">
    <link href="/lib/ionicons/css/ionicons.min.css" rel="stylesheet">
    <link href="/lib/typicons.font/typicons.css" rel="stylesheet">
    <link href="/lib/spectrum-colorpicker/spectrum.css" rel="stylesheet">
    <link href="/lib/select2/css/select2.min.css" rel="stylesheet">
    <link href="/lib/ion-rangeslider/css/ion.rangeSlider.css" rel="stylesheet">
    <link href="/lib/ion-rangeslider/css/ion.rangeSlider.skinFlat.css" rel="stylesheet">
    <link href="/lib/amazeui-datetimepicker/css/amazeui.datetimepicker.css" rel="stylesheet">
    <link href="/lib/jquery-simple-datetimepicker/jquery.simple-dtpicker.css" rel="stylesheet">
    <link href="/lib/pickerjs/picker.min.css" rel="stylesheet">
    <link href="/lib/daterangepicker/daterangepicker.css" rel="stylesheet">

    <!-- global CSS -->
    <link rel="stylesheet" href="/css/azia-vendor.css?v=[cs_version]">
    <link rel="stylesheet" href="/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/css/serviceblick-global.css?v=[cs_version]">

  </head>
<body id="page-top" class="az-body">
<div class="az-header">
    <div class="container"> <!-- change to container-fluid for full browser width-->
        <div class="az-header-left">
            <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/img/serviceblick_logo.gif" alt="Serviceblick logo"></a><a href="" id="azMenuShow" class="az-header-menu-icon d-lg-none"><span></span> </a> <span class="nav-link text-dark tx-20">Design Guide</span>
        </div><!-- az-header-left -->
        <div class="az-header-menu">
            <div class="az-header-menu-header">
                <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/img/serviceblick_logo.gif" alt="Serviceblick"></a>
                <a href="" class="close">&times;</a>
            </div><!-- az-header-menu-header -->
          <ul class="nav">
            <li class="nav-item">
                      <a href="" class="nav-link with-sub"><i class="typcn typcn-feather"></i> How to Use</a>
                      <nav class="az-menu-sub">
                          <a href="documentation.html" class="nav-link">Documentation</a>
                      </nav><!-- az-menu-sub -->
                  </li>
                  <li class="nav-item">
                    <a href="" class="nav-link with-sub"><i class="typcn typcn-folder"></i> Dashboards</a>
                    <nav class="az-menu-sub">
                      <a href="dashboard-one.html" class="nav-link">Web Analytics</a>
                      <a href="dashboard-two.html" class="nav-link">Sales Monitoring</a>
                      <a href="dashboard-three.html" class="nav-link">Ad Campaign</a>
                      <a href="dashboard-four.html" class="nav-link">Event Management</a>
                      <a href="dashboard-five.html" class="nav-link">Helpdesk Management</a>
                      <a href="dashboard-six.html" class="nav-link">Finance Monitoring</a>
                      <a href="dashboard-seven.html" class="nav-link">Cryptocurrency</a>
                      <a href="dashboard-eight.html" class="nav-link">Executive / SaaS</a>
                      <a href="dashboard-nine.html" class="nav-link">Campaign Monitoring</a>
                      <a href="dashboard-ten.html" class="nav-link">Product Management</a>
                    </nav>
                  </li>
                  <li class="nav-item">
                    <a href="" class="nav-link with-sub"><i class="typcn typcn-folder"></i> Apps</a>
                    <nav class="az-menu-sub">
                      <a href="app-mail.html" class="nav-link">Mailbox</a>
                      <a href="app-chat.html" class="nav-link">Chat</a>
                      <a href="app-calendar.html" class="nav-link">Calendar</a>
                      <a href="app-contacts.html" class="nav-link">Contacts</a>
                      <a href="app-kanban.html" class="nav-link">Kanban</a>
                      <a href="app-tickets.html" class="nav-link">Tickets</a>
                    </nav>
                  </li>
            <li class="nav-item">
                <a href="" class="nav-link with-sub"><i class="typcn typcn-document"></i> Pages</a>
                <nav class="az-menu-sub">
                  <a href="page-signin.html" class="nav-link">Login</a>
                  <a href="page-register.html" class="nav-link">Register</a>
                  <a href="page-signup.html" class="nav-link">Sign Up</a>
                  <a href="page-faq.html" class="nav-link">Faq</a>
                  <a href="page-news-grid.html" class="nav-link">News Grid</a>
                  <a href="page-pricing.html" class="nav-link">Pricing</a>
                  <a href="page-app-settings.html" class="nav-link">Settings</a>
              </nav>
            </li>
            <li class="nav-item active show">
              <a href="" class="nav-link with-sub"><i class="typcn typcn-book"></i> Components</a>
              <div class="az-menu-sub az-menu-sub-mega">
                <div class="container">
                  <div>
                    <nav class="nav">
                      <span>UI Elements</span>
                      <a href="elem-accordion.html" class="nav-link">Accordion</a>
                      <a href="elem-alerts.html" class="nav-link">Alerts</a>
                      <a href="elem-avatar.html" class="nav-link">Avatar</a>
                      <a href="elem-badge.html" class="nav-link">Badge</a>
                      <a href="elem-breadcrumbs.html" class="nav-link">Breadcrumbs</a>
                      <a href="elem-buttons.html" class="nav-link">Buttons</a>
                      <a href="elem-cards.html" class="nav-link">Cards</a>
                      <a href="elem-carousel.html" class="nav-link">Carousel</a>
                    </nav>
                    <nav class="nav">
                      <a href="elem-collapse.html" class="nav-link">Collapse</a>
                      <a href="elem-dropdown.html" class="nav-link">Dropdown</a>
                      <a href="elem-icons.html" class="nav-link">Icons</a>
                      <a href="elem-images.html" class="nav-link">Images</a>
                      <a href="elem-list-group.html" class="nav-link">List Group</a>
                      <a href="elem-media-object.html" class="nav-link">Media Object</a>
                      <a href="elem-modals.html" class="nav-link">Modals</a>
                      <a href="elem-navigation.html" class="nav-link">Navigation</a>
                    </nav>
                    <nav class="nav">
                      <a href="elem-pagination.html" class="nav-link">Pagination</a>
                      <a href="elem-popover.html" class="nav-link">Popover</a>
                      <a href="elem-progress.html" class="nav-link">Progress</a>
                      <a href="elem-spinners.html" class="nav-link">Spinners</a>
                      <a href="elem-toast.html" class="nav-link">Toast</a>
                      <a href="elem-tooltip.html" class="nav-link">Tooltip</a>
                      <a href="elem-draganddrop.html" class="nav-link">Drag and Drop</a>
                    </nav>
                  </div>
                  <div>
                    <nav class="nav">
                      <span>Forms</span>
                      <a href="form-elements.html" class="nav-link active">Form Elements</a>
                      <a href="form-layouts.html" class="nav-link">Form Layouts</a>
                      <a href="form-validation.html" class="nav-link">Form Validation</a>
                      <a href="form-wizards.html" class="nav-link">Form Wizards</a>
                      <a href="form-editor.html" class="nav-link">WYSIWYG Editor</a>
                    </nav>
                  </div>
                  <div>
                    <nav class="nav">
                      <span>Charts</span>
                      <a href="chart-morris.html" class="nav-link">Morris Charts</a>
                      <a href="chart-flot.html" class="nav-link">Flot Charts</a>
                      <a href="chart-chartjs.html" class="nav-link">ChartJS</a>
                      <a href="chart-sparkline.html" class="nav-link">Sparkline</a>
                      <a href="chart-peity.html" class="nav-link">Peity</a>
                    </nav>
                  </div>
                  <div>
                    <nav class="nav">
                      <span>Maps</span>
                      <a href="map-google.html" class="nav-link">Google Maps</a>
                      <a href="map-leaflet.html" class="nav-link">Leaflet</a>
                      <a href="map-vector.html" class="nav-link">Vector Maps</a>
                      <span>Tables</span>
                      <a href="table-basic.html" class="nav-link">Basic Tables</a>
                      <a href="table-data.html" class="nav-link">Data Tables</a>
                    </nav>
                  </div>
                </div><!-- container -->
              </div>
            </li>
            <li class="nav-item">
              <a href="" class="nav-link with-sub"><i class="typcn typcn-tabs-outline"></i> Utilities</a>
              <nav class="az-menu-sub">
                <a href="util-background.html" class="nav-link">Background</a>
                <a href="util-border.html" class="nav-link">Border</a>
                <a href="util-display.html" class="nav-link">Display</a>
                <a href="util-flex.html" class="nav-link">Flex</a>
                <a href="util-height.html" class="nav-link">Height</a>
                <a href="util-margin.html" class="nav-link">Margin</a>
                <a href="util-padding.html" class="nav-link">Padding</a>
                <a href="util-position.html" class="nav-link">Position</a>
                <a href="util-typography.html" class="nav-link">Typography</a>
                <a href="util-width.html" class="nav-link">Width</a>
                <a href="util-extras.html" class="nav-link">Extras</a>
              </nav>
            </li>
          </ul>
        </div><!-- az-header-menu -->
            <div class="az-header-right">
           
        </div><!-- az-header-right -->
      </div><!-- container -->
    </div><!-- az-header -->

    <div class="az-content pd-y-20 pd-lg-y-30 pd-xl-y-40">
      <div class="container">
        <div class="az-content-left az-content-left-components">
          <div class="component-item">
            <label>UI Elements</label>
            <nav class="nav flex-column">
              <a href="elem-accordion.html" class="nav-link">Accordion</a>
              <a href="elem-alerts.html" class="nav-link">Alerts</a>
              <a href="elem-avatar.html" class="nav-link">Avatar</a>
              <a href="elem-badge.html" class="nav-link">Badge</a>
              <a href="elem-breadcrumbs.html" class="nav-link">Breadcrumbs</a>
              <a href="elem-buttons.html" class="nav-link">Buttons</a>
              <a href="elem-cards.html" class="nav-link">Cards</a>
              <a href="elem-carousel.html" class="nav-link">Carousel</a>
              <a href="elem-collapse.html" class="nav-link">Collapse</a>
              <a href="elem-dropdown.html" class="nav-link">Dropdown</a>
              <a href="elem-icons.html" class="nav-link">Icons</a>
              <a href="elem-images.html" class="nav-link">Images</a>
              <a href="elem-list-group.html" class="nav-link">List Group</a>
              <a href="elem-media-object.html" class="nav-link">Media Object</a>
              <a href="elem-modals.html" class="nav-link">Modals</a>
              <a href="elem-navigation.html" class="nav-link">Navigation</a>
              <a href="elem-pagination.html" class="nav-link">Pagination</a>
              <a href="elem-popover.html" class="nav-link">Popover</a>
              <a href="elem-progress.html" class="nav-link">Progress</a>
              <a href="elem-spinners.html" class="nav-link">Spinners</a>
              <a href="elem-toast.html" class="nav-link">Toast</a>
              <a href="elem-tooltip.html" class="nav-link">Tooltip</a>
              <a href="elem-draganddrop.html" class="nav-link">Drag and Drop</a>
            </nav>

            <label>Forms</label>
            <nav class="nav flex-column">
              <a href="form-elements.html" class="nav-link active">Form Elements</a>
              <a href="form-layouts.html" class="nav-link">Form Layouts</a>
              <a href="form-validation.html" class="nav-link">Form Validation</a>
              <a href="form-wizards.html" class="nav-link">Form Wizards</a>
              <a href="form-editor.html" class="nav-link">WYSIWYG Editor</a>
            </nav>

            <label>Charts</label>
            <nav class="nav flex-column">
              <a href="chart-morris.html" class="nav-link">Morris Charts</a>
              <a href="chart-flot.html" class="nav-link">Flot Charts</a>
              <a href="chart-chartjs.html" class="nav-link">ChartJS</a>
              <a href="chart-sparkline.html" class="nav-link">Sparkline</a>
              <a href="chart-peity.html" class="nav-link">Peity</a>
            </nav>

            <label>Maps</label>
            <nav class="nav flex-column">
              <a href="map-google.html" class="nav-link">Google Maps</a>
              <a href="map-leaflet.html" class="nav-link">Leaflet</a>
              <a href="map-vector.html" class="nav-link">Vector Maps</a>
            </nav>

            <label>Tables</label>
            <nav class="nav flex-column">
              <a href="table-basic.html" class="nav-link">Basic Tables</a>
              <a href="table-data.html" class="nav-link">Data Tables</a>
            </nav>
          </div><!-- component-item -->

        </div><!-- az-content-left -->
        <div class="az-content-body pd-lg-l-40 d-flex flex-column">
          <div class="az-content-breadcrumb">
            <span>Components</span>
            <span>Forms</span>
            <span>Form Elements</span>
          </div>
          <h2 class="az-content-title">Form Elements</h2>

          <div class="az-content-label mg-b-5">Form Input &amp; Textarea</div>
          <p class="mg-b-20">A basic form control input and textarea with disabled and readonly mode.</p>

          <div class="row row-sm">
            <div class="col-lg">
              <input class="form-control" placeholder="Input box" type="text">
            </div><!-- col -->
            <div class="col-lg mg-t-10 mg-lg-t-0">
              <input class="form-control" placeholder="Input box (readonly)" readonly="" type="text">
            </div><!-- col -->
            <div class="col-lg mg-t-10 mg-lg-t-0">
              <input class="form-control" placeholder="Input box (disabled)" disabled="" type="text">
            </div><!-- col -->
          </div><!-- row -->

          <div class="row row-sm mg-t-20">
            <div class="col-lg">
              <textarea rows="3" class="form-control" placeholder="Textarea"></textarea>
            </div><!-- col -->
            <div class="col-lg mg-t-10 mg-lg-t-0">
              <textarea rows="3" class="form-control" placeholder="Textarea (readonly)" readonly></textarea>
            </div><!-- col -->
            <div class="col-lg mg-t-10 mg-lg-t-0">
              <textarea rows="3" class="form-control" placeholder="Texarea (disabled)" disabled></textarea>
            </div><!-- col -->
          </div><!-- row -->

          <hr class="mg-y-30">

          <div class="az-content-label mg-b-5">Valid State Input</div>
          <p class="mg-b-20">A form control with success, warning and error state.</p>

          <form class="needs-validation was-validated">
            <div class="row row-sm">
              <div class="col-lg-4">
                <div class="form-group has-success mg-b-0">
                  <input class="form-control" placeholder="Input box (success state)" value="This is input" required type="text">
                  <textarea rows="3" class="form-control mg-t-20" placeholder="Textarea (success state)" required>This is textarea</textarea>
                </div><!-- form-group -->
              </div><!-- col -->
              <div class="col-lg-4 mg-t-20 mg-lg-t-0">
                <div class="form-group has-danger mg-b-0">
                  <input class="form-control" placeholder="Input box (invalid state)" type="text" required>
                  <textarea rows="3" class="form-control mg-t-20" placeholder="Textarea (invalid state)" required></textarea>
                </div><!-- form-group -->
              </div><!-- col -->
            </div><!-- row -->
          </form>

          <hr class="mg-y-30">

          <div class="az-content-label mg-b-5">Custom Checkboxes &amp; Radios</div>
          <p class="mg-b-20">A custom styled checkboxes and radios.</p>

          <div class="row">
            <div class="col-lg-3">
              <label class="ckbox">
                <input type="checkbox"><span>Checkbox Unchecked</span>
              </label>
            </div><!-- col-3 -->
            <div class="col-lg-3 mg-t-20 mg-lg-t-0">
              <label class="ckbox">
                <input type="checkbox" checked><span>Checkbox Checked</span>
              </label>
            </div><!-- col-3 -->
            <div class="col-lg-3 mg-t-20 mg-lg-t-0">
              <label class="ckbox">
                <input type="checkbox" disabled><span>Checkbox Disabled</span>
              </label>
            </div><!-- col-3 -->
          </div><!-- row -->

          <div class="row mg-t-10">
            <div class="col-lg-3">
              <label class="rdiobox">
                <input name="rdio" type="radio">
                <span>Radio Unchecked</span>
              </label>
            </div><!-- col-3 -->
            <div class="col-lg-3 mg-t-20 mg-lg-t-0">
              <label class="rdiobox">
                <input name="rdio" type="radio" checked>
                <span>Radio Checked</span>
              </label>
            </div><!-- col-3 -->
            <div class="col-lg-3 mg-t-20 mg-lg-t-0">
              <label class="rdiobox">
                <input name="rdio" type="radio" disabled>
                <span>Radio Disabled</span>
              </label>
            </div><!-- col-3 -->
          </div><!-- row -->

          <hr class="mg-y-30">

          <div class="az-content-label mg-b-5">File Browser</div>
          <p class="mg-b-20">A custom styled file browser.</p>

          <div class="row row-sm">
            <div class="col-sm-7 col-md-6 col-lg-4">
              <div class="custom-file">
                <input type="file" class="custom-file-input" id="customFile">
                <label class="custom-file-label" for="customFile">Choose file</label>
              </div>
            </div><!-- col -->
          </div><!-- row -->

          <hr class="mg-y-30">

          <div class="az-content-label mg-b-5">Toggle Switches</div>
          <p class="mg-b-20">A custom made toggles with jquery support.</p>

          <div class="az-toggle-group-demo">
            <div class="az-toggle"><span></span></div>
            <div class="az-toggle az-toggle-secondary"><span></span></div>
            <div class="az-toggle az-toggle-success"><span></span></div>
            <div class="az-toggle az-toggle-dark"><span></span></div>
          </div>

          <div class="az-toggle-group-demo mg-t-10">
            <div class="az-toggle on"><span></span></div>
            <div class="az-toggle az-toggle-secondary on"><span></span></div>
            <div class="az-toggle az-toggle-success on"><span></span></div>
            <div class="az-toggle az-toggle-dark on"><span></span></div>
          </div>

          <table class="table az-table-reference">
            <thead>
              <tr>
                <th class="wd-40p">Class Reference</th>
                <th class="wd-60p">Values</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td><code class="pd-0 bg-transparent">class="az-toggle az-toggle-[value]"</code></td>
                <td>secondary | success | dark</td>
              </tr>
            </tbody>
          </table>

          <hr class="mg-y-30">

          <div class="az-content-label mg-b-5">Input Groups</div>
          <p class="mg-b-20">Easily extend form controls by adding text, buttons, or button groups on either side of textual inputs.</p>

          <div class="row row-sm">
            <div class="col-lg-4">
              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text" id="basic-addon1">@</span>
                </div>
                <input type="text" class="form-control" placeholder="Username" aria-label="Username" aria-describedby="basic-addon1">
              </div><!-- input-group -->
            </div><!-- col -->
            <div class="col-lg-4">
              <div class="input-group mb-3">
                <input type="text" class="form-control" placeholder="Recipient's username" aria-label="Recipient's username" aria-describedby="basic-addon2">
                <div class="input-group-append">
                  <span class="input-group-text" id="basic-addon2">@example.com</span>
                </div>
              </div>
            </div><!-- col -->
            <div class="col-lg-4">
              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text">$</span>
                </div>
                <input type="text" class="form-control" aria-label="Amount (to the nearest dollar)">
                <div class="input-group-append">
                  <span class="input-group-text">.00</span>
                </div>
              </div><!-- input-group -->
            </div><!-- col -->
          </div><!-- row -->

          <div class="row row-sm">
            <div class="col-lg-4">
              <div class="input-group">
                <div class="input-group-prepend">
                  <div class="input-group-text">
                    <label class="ckbox wd-16 mg-b-0">
                      <input type="checkbox" class="mg-0"><span></span>
                    </label>
                  </div>
                </div>
                <input type="text" class="form-control" placeholder="Text input with checkbox">
              </div><!-- input-group -->
            </div><!-- col-4 -->
            <div class="col-lg-4 mg-t-20 mg-lg-t-0">
              <div class="input-group">
                <div class="input-group-prepend">
                  <div class="input-group-text">
                    <label class="rdiobox wd-16 mg-b-0">
                      <input type="radio"><span></span>
                    </label>
                  </div>
                </div>
                <input type="text" class="form-control" placeholder="Text input with radiobox">
              </div><!-- input-group -->
            </div><!-- col-4 -->
            <div class="col-lg-4 mg-t-20 mg-lg-t-0">
              <div class="input-group">
                <input type="text" class="form-control" placeholder="Search for...">
                <span class="input-group-btn">
                  <button class="btn btn-primary" type="button"><i class="fa fa-search"></i></button>
                </span>
              </div><!-- input-group -->
            </div><!-- col-4 -->
          </div><!-- row -->

          <hr class="mg-y-30">

          <div class="az-content-label mg-b-5">Input Mask</div>
          <p class="mg-b-20">Input masks allows a user to more easily enter fixed width input where you would like them to enter the data in a certain format (dates,phones, etc).</p>

          <div class="row row-sm">
            <div class="col-lg-3">
              <div class="input-group">
                <div class="input-group-prepend">
                  <div class="input-group-text">
                    Date:
                  </div>
                </div>
                <input id="dateMask" type="text" class="form-control" placeholder="MM/DD/YYYY">
              </div><!-- input-group -->
            </div><!-- col-4 -->
            <div class="col-lg-3 mg-t-20 mg-lg-t-0">
              <div class="input-group">
                <div class="input-group-prepend">
                  <div class="input-group-text">
                    Phone:
                  </div>
                </div><!-- input-group-prepend -->
                <input id="phoneMask" type="text" class="form-control" placeholder="(000) 000-0000">
              </div><!-- input-group -->
            </div>
            <div class="col-lg-4 mg-t-20 mg-lg-t-0">
              <div class="input-group">
                <div class="input-group-prepend">
                  <div class="input-group-text">
                    Phone + Ext.:
                  </div>
                </div><!-- input-group-prepend -->
                <input id="phoneExtMask" type="text" class="form-control" placeholder="(000) 000-0000 ext 0000">
              </div><!-- input-group -->
            </div>
            <div class="col-lg-2 mg-t-20 mg-lg-t-0">
              <div class="input-group">
                <div class="input-group-prepend">
                  <div class="input-group-text">
                    SSN:
                  </div><!-- input-group-text -->
                </div><!-- input-group-prepend -->
                <input id="ssnMask" type="text" class="form-control" placeholder="000-00-0000">
              </div>
            </div>
          </div><!-- row -->

          <hr class="mg-y-30">

          <div class="az-content-label mg-b-5">Color Picker</div>
          <p class="mg-b-20">A simple component to select color in the same way you select color in Adobe Photoshop.</p>

          <div><input type="text" id="colorpicker"></div>

          <p class="mg-t-40 mg-b-10">You can allow alpha transparency selection. Check out these example.</p>
          <div><input type="text" id="showAlpha"></div>

          <p class="mg-t-40 mg-b-10">Show pallete only. If you'd like, spectrum can show the palettes you specify, and nothing else.</p>
          <div><input type="text" id="showPaletteOnly"></div>

          <hr class="mg-y-30">

          <div class="az-content-label mg-b-5">jQuery UI Date Picker</div>
          <p class="mg-b-20">The datepicker is tied to a standard form input field. Click on the input to open an interactive calendar in a small overlay. If a date is chosen, feedback is shown as the input's value.</p>

          <div class="wd-200 mg-b-20">
            <div class="input-group">
              <div class="input-group-prepend">
                <div class="input-group-text">
                  <i class="typcn typcn-calendar-outline tx-24 lh--9 op-6"></i>
                </div>
              </div>
              <input type="text" class="form-control fc-datepicker" placeholder="MM/DD/YYYY">
            </div>
          </div><!-- wd-200 -->

          <p>Set the numberOfMonths option to an integer of 2 or more to show multiple months in a single datepicker.</p>

          <div class="wd-200 mg-b-20">
            <div class="input-group">
              <div class="input-group-prepend">
                <div class="input-group-text">
                  <i class="typcn typcn-calendar-outline tx-24 lh--9 op-6"></i>
                </div>
              </div>
              <input id="datepickerNoOfMonths" type="text" class="form-control" placeholder="MM/DD/YYYY">
            </div>
          </div><!-- wd-200 -->

          <p>Display the datepicker embedded in the page instead of in an overlay.</p>

          <div class="fc-datepicker"></div>

          <hr class="mg-y-30">

          <div class="az-content-label mg-b-5">Datetimepicker</div>
          <p class="mg-b-20">Datetimepicker style variant on top of AmazeUI Datetimepicker.</p>

          <div class="wd-250 mg-b-20">
            <div class="input-group">
              <div class="input-group-prepend">
                <div class="input-group-text">
                  <i class="typcn typcn-calendar-outline tx-24 lh--9 op-6"></i>
                </div>
              </div>
              <input type="text" value="2018-12-20 21:05" id="datetimepicker" class="form-control">
            </div>
          </div>

          <hr class="mg-y-30">

          <div class="az-content-label mg-b-5">Datetimepicker Style 2</div>
          <p class="mg-b-20">Datetimepicker style variant 2 by jquery-simple-datetimepicker</p>

          <div class="wd-250 mg-b-20">
            <div class="input-group">
              <div class="input-group-prepend">
                <div class="input-group-text">
                  <i class="typcn typcn-calendar-outline tx-24 lh--9 op-6"></i>
                </div>
              </div>
              <input type="text" value="2018-12-20 21:05" id="datetimepicker2" class="form-control">
            </div>
          </div>

          <hr class="mg-y-30">

          <div class="az-content-label mg-b-5">Datetimepicker Style 3</div>
          <p class="mg-b-20">Datetimepicker style variant 3 by picker.js</p>

          <div class="wd-250 mg-b-20">
            <div class="input-group">
              <div class="input-group-prepend">
                <div class="input-group-text">
                  <i class="typcn typcn-calendar-outline tx-24 lh--9 op-6"></i>
                </div>
              </div>
              <input type="text" value="January 20, 2019 09:00" id="datetimepicker3" class="form-control">
            </div>
          </div>

          <hr class="mg-y-30">


          <div class="az-content-label mg-b-5">Date range picker</div>
          <p class="mg-b-20">the Date Range Picker can be attached to any webpage element to pop up two calendars for selecting dates, times, or predefined ranges like "Last 30 Days".  Relies on jQuery, Moment.js and Date Range Picker's files. Full configuration options available at https://www.daterangepicker.com/#config</p>

          <div class="wd-400 mg-b-20">
            <div class="input-group">
              <div class="input-group-prepend">
                <div class="input-group-text">
                  <i class="typcn typcn-calendar-outline tx-24 lh--9 op-6"></i>
                </div>
              </div>
              <div id="reportrange" class="form-control">
                
                <span></span> <i class="fa fa-caret-down"></i>
            </div>
            </div>
          </div>

          <hr class="mg-y-30">


          <div class="az-content-label mg-b-5">Select<span class="tx-sserif">2</span> Box</div>
          <p class="mg-b-20">Select2 gives you a customizable select box with support for searching, tagging, remote data sets, infinite scrolling, and many other highly used options.</p>

          <div class="row row-sm mg-b-20">
            <div class="col-lg-4">
              <p class="mg-b-10">Single Select</p>
              <select class="form-control select2-no-search">
                <option label="Choose one"></option>
                <option value="Firefox">Firefox</option>
                <option value="Chrome">Chrome</option>
                <option value="Safari">Safari</option>
                <option value="Opera">Opera</option>
                <option value="Internet Explorer">Internet Explorer</option>
              </select>
            </div><!-- col-4 -->
            <div class="col-lg-4 mg-t-20 mg-lg-t-0">
              <p class="mg-b-10">Single Select with Search</p>
              <select class="form-control select2">
                <option label="Choose one"></option>
                <option value="Firefox">Firefox</option>
                <option value="Chrome">Chrome</option>
                <option value="Safari">Safari</option>
                <option value="Opera">Opera</option>
                <option value="Internet Explorer">Internet Explorer</option>
              </select>
            </div><!-- col-4 -->
            <div class="col-lg-4 mg-t-20 mg-lg-t-0">
              <p class="mg-b-10">Single Select (Disabled)</p>
              <select class="form-control select2" disabled>
                <option label="Choose one"></option>
                <option value="Firefox">Firefox</option>
                <option value="Chrome">Chrome</option>
                <option value="Safari">Safari</option>
                <option value="Opera">Opera</option>
                <option value="Internet Explorer">Internet Explorer</option>
              </select>
            </div><!-- col-4 -->
          </div><!-- row -->

          <div class="row row-sm mg-b-20">
            <div class="col-lg-4">
              <p class="mg-b-10">Multiple Select</p>
              <select class="form-control select2" multiple="multiple">
                <option value="Firefox">Firefox</option>
                <option value="Chrome">Chrome</option>
                <option value="Safari">Safari</option>
                <option value="Opera">Opera</option>
                <option value="Internet Explorer">Internet Explorer</option>
              </select>
            </div><!-- col -->
            <div class="col-lg-4">
              <p class="mg-b-10">Multiple Select with Pre-Filled Input</p>
              <select class="form-control select2" multiple="multiple">
                <option value="Firefox" selected>Firefox</option>
                <option value="Chrome">Chrome</option>
                <option value="Safari">Safari</option>
                <option value="Opera">Opera</option>
                <option value="Internet Explorer">Internet Explorer</option>
              </select>
            </div><!-- col -->
            <div class="col-lg-4">
              <p class="mg-b-10">Multiple Select (Disabled)</p>
              <select class="form-control select2-no-search" multiple="multiple" disabled>
                <option value="Firefox" selected>Firefox</option>
                <option value="Chrome">Chrome</option>
                <option value="Safari">Safari</option>
                <option value="Opera">Opera</option>
                <option value="Internet Explorer">Internet Explorer</option>
              </select>
            </div><!-- col -->
          </div><!-- row -->

          <hr class="mg-y-30">

          <div class="az-content-label mg-b-5">Range Slider</div>
          <p class="mg-b-20">Easy, flexible and responsive range slider with skin support.</p>

          <div class="row row-sm">
            <div class="col-lg-6">
              <input type="text" class="rangeslider1" name="example_name" value="">
            </div><!-- col-6 -->
            <div class="col-lg-6 mg-t-20 mg-lg-t-0">
              <input type="text" class="rangeslider2" name="example_name" value="">
            </div><!-- col-6 -->
          </div><!-- row -->
          <div class="row row-sm mg-t-40">
            <div class="col-lg-6">
              <input type="text" class="rangeslider3" name="example_name" value="">
            </div><!-- col-6 -->
            <div class="col-lg-6 mg-t-20 mg-lg-t-0">
              <input type="text" class="rangeslider4" name="example_name" value="">
            </div><!-- col-6 -->
          </div><!-- row -->

          <hr class="mg-y-30">

          <div class="az-content-label mg-b-5">Range Slider (Modern Skin)</div>
          <p class="mg-b-20">Below is the modern skin slider default.</p>

          <div class="row row-sm">
            <div class="col-lg-6">
              <input type="text" class="rangeslider1" name="example_name" data-extra-classes="irs-modern">
            </div><!-- col-6 -->
            <div class="col-lg-6 mg-t-20 mg-lg-t-0">
              <input type="text" class="rangeslider2" name="example_name" data-extra-classes="irs-modern">
            </div><!-- col-6 -->
          </div><!-- row -->
          <div class="row row-sm mg-t-40">
            <div class="col-lg-6">
              <input type="text" class="rangeslider3" name="example_name" data-extra-classes="irs-modern">
            </div><!-- col-6 -->
            <div class="col-lg-6 mg-t-20 mg-lg-t-0">
              <input type="text" class="rangeslider4" name="example_name" data-extra-classes="irs-modern">
            </div><!-- col-6 -->
          </div><!-- row -->

          <hr class="mg-y-30">

          <div class="az-content-label mg-b-5">Range Slider (Outline Skin)</div>
          <p class="mg-b-20">Below is the outline skin slider default.</p>

          <div class="row row-sm">
            <div class="col-lg-6">
              <input type="text" class="rangeslider1" name="example_name" data-extra-classes="irs-outline">
            </div><!-- col-6 -->
            <div class="col-lg-6 mg-t-20 mg-lg-t-0">
              <input type="text" class="rangeslider2" name="example_name" data-extra-classes="irs-outline">
            </div><!-- col-6 -->
          </div><!-- row -->
          <div class="row row-sm mg-t-40">
            <div class="col-lg-6">
              <input type="text" class="rangeslider3" name="example_name" data-extra-classes="irs-outline">
            </div><!-- col-6 -->
            <div class="col-lg-6 mg-t-20 mg-lg-t-0">
              <input type="text" class="rangeslider4" name="example_name" data-extra-classes="irs-outline">
            </div><!-- col-6 -->
          </div><!-- row -->

          <div class="ht-40"></div>


          <div class="az-footer mg-t-auto">
            <div class="container">
               <span>&copy; 2021 Crowdsoft</span>
            </div><!-- container -->
          </div><!-- az-footer -->
        </div><!-- az-content-body -->
      </div><!-- container -->
    </div><!-- az-content -->


    <script src="/lib/jquery/jquery.min.js"></script>
    <script src="/lib/jquery-ui/ui/widgets/datepicker.js"></script>
    <script src="/lib/moment/moment.min.js"></script>
    <script src="/lib/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="/lib/ionicons/ionicons.js"></script>
    <script src="/lib/jquery.maskedinput/jquery.maskedinput.js"></script>
    <script src="/lib/spectrum-colorpicker/spectrum.js"></script>
    <script src="/lib/select2/js/select2.min.js"></script>
    <script src="/lib/ion-rangeslider/js/ion.rangeSlider.min.js"></script>
    <script src="/lib/amazeui-datetimepicker/js/amazeui.datetimepicker.min.js"></script>
    <script src="/lib/jquery-simple-datetimepicker/jquery.simple-dtpicker.js"></script>
    <script src="/lib/pickerjs/picker.min.js"></script>
    <script src="/lib/daterangepicker/daterangepicker.js"></script>

    <script src="/js/azia.js"></script>
    <script>
      // Additional code for adding placeholder in search box of select2
      (function($) {
        var Defaults = $.fn.select2.amd.require('select2/defaults');

        $.extend(Defaults.defaults, {
          searchInputPlaceholder: ''
        });

        var SearchDropdown = $.fn.select2.amd.require('select2/dropdown/search');

        var _renderSearchDropdown = SearchDropdown.prototype.render;

        SearchDropdown.prototype.render = function(decorated) {

          // invoke parent method
          var $rendered = _renderSearchDropdown.apply(this, Array.prototype.slice.apply(arguments));

          this.$search.attr('placeholder', this.options.get('searchInputPlaceholder'));

          return $rendered;
        };

      })(window.jQuery);
    </script>
    <script>
      $(function(){
        'use strict'

        // Toggle Switches
        $('.az-toggle').on('click', function(){
          $(this).toggleClass('on');
        })

        // Input Masks
        $('#dateMask').mask('99/99/9999');
        $('#phoneMask').mask('(999) 999-9999');
        $('#phoneExtMask').mask('(999) 999-9999? ext 99999');
        $('#ssnMask').mask('999-99-9999');

        // Color picker
        $('#colorpicker').spectrum({
          color: '#17A2B8'
        });

        $('#showAlpha').spectrum({
          color: 'rgba(23,162,184,0.5)',
          showAlpha: true
        });

        $('#showPaletteOnly').spectrum({
            showPaletteOnly: true,
            showPalette:true,
            color: '#DC3545',
            palette: [
                ['#1D2939', '#fff', '#0866C6','#23BF08', '#F49917'],
                ['#DC3545', '#17A2B8', '#6610F2', '#fa1e81', '#72e7a6']
            ]
        });

        // Datepicker
        $('.fc-datepicker').datepicker({
          showOtherMonths: true,
          selectOtherMonths: true
        });

        $('#datepickerNoOfMonths').datepicker({
          showOtherMonths: true,
          selectOtherMonths: true,
          numberOfMonths: 2
        });

        // AmazeUI Datetimepicker
        $('#datetimepicker').datetimepicker({
          format: 'yyyy-mm-dd hh:ii',
          autoclose: true
        });

        // jQuery Simple DateTimePicker
        $('#datetimepicker2').appendDtpicker({
          closeOnSelected: true,
          onInit: function(handler) {
            var picker = handler.getPicker();
            $(picker).addClass('az-datetimepicker');
          }
        });

        new Picker(document.querySelector('#datetimepicker3'), {
          headers: true,
          format: 'MMMM DD, YYYY HH:mm',
          text: {
            title: 'Pick a Date and Time',
            year: 'Year',
            month: 'Month',
            day: 'Day',
            hour: 'Hour',
            minute: 'Minute'
          },
        });


        $(document).ready(function(){
          $('.select2').select2({
            placeholder: 'Choose one',
            searchInputPlaceholder: 'Search'
          });

          $('.select2-no-search').select2({
            minimumResultsForSearch: Infinity,
            placeholder: 'Choose one'
          });
        });

        $('.rangeslider1').ionRangeSlider();

        $('.rangeslider2').ionRangeSlider({
            min: 100,
            max: 1000,
            from: 550
        });

        $('.rangeslider3').ionRangeSlider({
            type: 'double',
            grid: true,
            min: 0,
            max: 1000,
            from: 200,
            to: 800,
            prefix: '$'
        });

        $('.rangeslider4').ionRangeSlider({
            type: 'double',
            grid: true,
            min: -1000,
            max: 1000,
            from: -500,
            to: 500,
            step: 250
        });

      });
    </script>
    <script type="text/javascript">
      $(function () {

        moment.locale('de', {
          months: 'Januar_Februar_März_April_Mai_Juni_Juli_August_September_Oktober_November_Dezember'.split('_'),
          monthsShort: 'janv._févr._mars_avr._mai_juin_juil._août_sept._oct._nov._déc.'.split('_'),
          monthsParseExact: true,
          weekdays: 'dimanche_lundi_mardi_mercredi_jeudi_vendredi_samedi'.split('_'),
          weekdaysShort: 'dim._lun._mar._mer._jeu._ven._sam.'.split('_'),
          weekdaysMin: 'Di_Lu_Ma_Me_Je_Ve_Sa'.split('_'),
          weekdaysParseExact: true,
          longDateFormat: {
            LT: 'HH:mm',
            LTS: 'HH:mm:ss',
            L: 'DD/MM/YYYY',
            LL: 'D MMMM YYYY',
            LLL: 'D MMMM YYYY HH:mm',
            LLLL: 'dddd D MMMM YYYY HH:mm'
          }
        })
        var start = moment().subtract(29, 'days');
        var end = moment();

        function cb(start, end) {
          $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
        }

        $('#reportrange').daterangepicker({
          startDate: start,
          endDate: end,
          maxDate: end,
          ranges: {
            //'Today': [moment(), moment()],
            //'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
            //'Last 7 Days': [moment().subtract(6, 'days'), moment()],
            'Letzte 30 Tage': [moment().subtract(29, 'days'), moment()],
            'Diesen Monat': [moment().startOf('month'), moment().endOf('month')],
            'Letzten Monat': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
            'Letzte 90 Tage': [moment().subtract(89, 'days'), moment()],
            'Year-to-Date': [moment().startOf('year'), moment()],
            'Letztes Jahr': [moment().subtract(1, 'year').startOf('year'), moment().subtract(1, 'year').endOf('year')]
          },
          locale: {
            format: "DD.MM.YYYY",
            // separator: " . ",
            applyLabel: "anwenden",
            cancelLabel: "abbrechen",
            fromLabel: "von",
            toLabel: "bis",
            customRangeLabel: "Benutzerdefinierte",
            weekLabel: "W",
            daysOfWeek: ["So", "Mo", "Di", "Mi", "Do", "Fr", "Sa"],
            monthNames: ["Januar", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"],
            "firstDay": 1
          },
          linkedCalendars: false,
          opens: "center",
          drops: "auto"
        }, cb);

        cb(start, end);

      });
    </script>
  </body>
</html>
